
From: Jeff Dike <jdike@addtoit.com>

This fixes an interface which differed from its declaration, and includes
the relevant header so that this doesn't happen again.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/kernel/helper.c |   14 ++------------
 1 files changed, 2 insertions(+), 12 deletions(-)

diff -puN arch/um/kernel/helper.c~uml-fix-misdeclared-function arch/um/kernel/helper.c
--- 25/arch/um/kernel/helper.c~uml-fix-misdeclared-function	Tue Jul 26 14:30:23 2005
+++ 25-akpm/arch/um/kernel/helper.c	Tue Jul 26 14:30:23 2005
@@ -13,6 +13,7 @@
 #include "user.h"
 #include "kern_util.h"
 #include "user_util.h"
+#include "helper.h"
 #include "os.h"
 
 struct helper_data {
@@ -149,7 +150,7 @@ int run_helper_thread(int (*proc)(void *
 	return(pid);
 }
 
-int helper_wait(int pid, int block)
+int helper_wait(int pid)
 {
 	int ret;
 
@@ -160,14 +161,3 @@ int helper_wait(int pid, int block)
 	}
 	return(ret);
 }
-
-/*
- * Overrides for Emacs so that we follow Linus's tabbing style.
- * Emacs will notice this stuff at the end of the file and automatically
- * adjust the settings for this buffer only.  This must remain at the end
- * of the file.
- * ---------------------------------------------------------------------------
- * Local variables:
- * c-file-style: "linux"
- * End:
- */
_
